OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
MDF

# MDF Class Reference

This package provides classes and methods to
translate a transient DF into a persistent one and
vice versa.
Driver
A driver is a tool used to translate a transient
attribute into a persistent one and vice versa.
Relocation Table
A relocation table is a tool who provides services
to relocate transient objects into persistent ones
(or vice versa). It uses a map system to keep the
sharing. This service is used by the drivers.
Driver Table
A driver table is an object building links between
object types and object drivers. In the
translation process, a driver table is asked to
give a translation driver for each current object
to be translated.
.

`#include <MDF.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT void | FromTo (const Handle(TDF_Data)&aSource, Handle(PDF_Data)&aTarget, const Handle(MDF_ASDriverTable)&aDriverTable, const Handle(MDF_SRelocationTable)&aReloc, const Standard_Integer aVersion=0)
| Translates a transient <asource> into a persistent <atarget>. .
static Standard_EXPORT void | FromTo (const Handle(PDF_Data)&aSource, Handle(TDF_Data)&aTarget, const Handle(MDF_ARDriverTable)&aDriverTable, const Handle(MDF_RRelocationTable)&aReloc)
| Translates a persistent <asource> into a transient <atarget>. .
static Standard_EXPORT void | AddStorageDrivers (const Handle(MDF_ASDriverHSequence)&aDriverSeq, const Handle(CDM_MessageDriver)&theMessageDriver)
| Adds the attribute storage drivers to <adriverseq>. .
static Standard_EXPORT void | AddRetrievalDrivers (const Handle(MDF_ARDriverHSequence)&aDriverSeq, const Handle(CDM_MessageDriver)&theMessageDriver)
| Adds the attribute retrieval drivers to <adriverseq>. .

## Member Function Documentation

static Standard_EXPORT void MDF::AddRetrievalDrivers | ( | const Handle(MDF_ARDriverHSequence)& | aDriverSeq,
|  | const Handle(CDM_MessageDriver)& | theMessageDriver
| ) | `[static]`

static Standard_EXPORT void MDF::AddStorageDrivers | ( | const Handle(MDF_ASDriverHSequence)& | aDriverSeq,
|  | const Handle(CDM_MessageDriver)& | theMessageDriver
| ) | `[static]`

static Standard_EXPORT void MDF::FromTo | ( | const Handle(PDF_Data)& | aSource,
|  | Handle(TDF_Data)& | aTarget,
|  | const Handle(MDF_ARDriverTable)& | aDriverTable,
|  | const Handle(MDF_RRelocationTable)& | aReloc
| ) | `[static]`

static Standard_EXPORT void MDF::FromTo | ( | const Handle(TDF_Data)& | aSource,
|  | Handle(PDF_Data)& | aTarget,
|  | const Handle(MDF_ASDriverTable)& | aDriverTable,
|  | const Handle(MDF_SRelocationTable)& | aReloc,
|  | const Standard_Integer | aVersion = `0`
| ) | `[static]`

void MDF::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MDF::operator new | ( | size_t | size | ) | `[inline]`

void* MDF::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- MDF.hxx